(:
Frame hits per party
:)

let $frames := doc('agg3.xml')//frame
let $partynames := 
  for $n in distinct-values($frames/party/@name) 
  order by $n 
  return $n
let $data :=
    string-join(
      for $f in $frames
      return string-join(
        for $p in $partynames
        return if($f/party[@name=$p]) then $f/party[@name=$p] else ('0')
        ,',')
    ,'|')
let $maxhit := max($frames/party)
let $framenames := string-join($frames/@name,"|")
let $partynameslables := string-join(reverse($partynames),'|')
let $ds := string-join(
  for $f in $frames
  return
    concat('0,',string($maxhit))
  ,",")

return

concat(
"http://chart.apis.google.com/chart?",
"chs=400x700&amp;",
"cht=bhg&amp;",
"chbh=a&amp;",
"chxt=t,y,x&amp;",
"chdl=",$framenames,"&amp;",
"chco=FF0000,00FF00,0000FF,000000&amp;",
"chd=t:",$data,"&amp;",
'chds=',$ds,'&amp;',
"chxl=1:|",$partynameslables,"&amp;",
"chxr=0,0,",$maxhit,",10|2,0,",$maxhit,",10&amp;",
"chtt=Frame+hits+per+party+(HAN,+KVR,+MOT)&amp;")
