(:
 Per frame per year return the count hits
:)

declare function local:get-year($d as element()) as xs:string* {
  substring-before(string($d),'-')[string-length(.)=4 and not(contains(.,'-'))],
  substring-before(string($d),'.')[string-length(.)=4 and not(contains(.,'.'))],
  substring-after(string($d),'-')[string-length(.)=4 and not(contains(.,'-'))],
  substring-after(string($d),'.')[string-length(.)=4 and not(contains(.,'.'))]
};

<res>
{
for $f in doc('frames.xml')//frame
let $years := 
  for $d in $f//date return local:get-year($d)
return
<frame>
{
  $f/@name,
  for $y in distinct-values($years) 
  order by $y
  return
  <year name="{$y}">{
    count($years[. eq $y])
  }
  </year>
}
</frame>
}
</res>

