(:
Frame hits per collection
:)

let $frames := doc('agg1.xml')//frame
let $framenames := string-join($frames/@name,"|")
let $collnames := string-join(distinct-values($frames/collection/@name),'|')
let $data := string-join(
  for $f in $frames 
  return string-join($f/collection,','),'|')
let $maxhit := max($frames/collection)
let $ds := string-join(
  for $f in $frames 
  return 
    concat('0,',string($maxhit))
  ,",")

return 
concat(
"http://chart.apis.google.com/chart?",
"chs=400x200&amp;",
"cht=bvg&amp;",
"chbh=a&amp;",
"chxt=x,y&amp;",
"chdl=",$framenames,"&amp;",
"chco=FF0000,00FF00,0000FF,000000&amp;",
"chd=t:",$data,"&amp;",
'chds=',$ds,'&amp;',
"chxl=0:|",$collnames,"&amp;",
"chxr=1,0,",$maxhit,",50&amp;",
"chtt=Frame+hits+per+collection&amp;")
