(:
 Per frame per year return the count hits
:)

let $frames := doc('agg2.xml')//frame
let $allyears := 
  for $y in distinct-values($frames/year/@name) order by $y return $y
let $minyear := min($allyears)
let $maxyear := max($allyears)
let $maxhit := max($frames/year)
let $data := string-join(
    for $f in $frames
    return concat(string-join($allyears,','),'|',string-join(
      for $y in $allyears 
      return if($f/year[@name = $y])then($f/year[@name = $y])else('0'),','))
    ,'|')
let $ds := string-join(
  for $f in $frames 
  return 
    concat(string($minyear),',',string($maxyear),',','0,',string($maxhit)),",") 

return
concat(
'http://chart.apis.google.com/chart?',
'chs=900x200&amp;',
'cht=lxy&amp;',
'chxt=x,y&amp;',
'chtt=Frame+hits+per+year+(HAN,+KVR,+MOT)&amp;',
'chds=',$ds,'&amp;',
'chd=t:',$data,'&amp;',
'chxr=0,',string($minyear),',',string($maxyear),',1|1,0,',string($maxhit),',5&amp;',
'chdl=',string-join($frames/@name,'|'),'&amp;',
'chco=FF0000,00FF00,0000FF,000000&amp;',
'chm=s,FF0000,0,-1,5|s,00FF00,1,-1,5|s,0000FF,2,-1,5|s,000000,3,-1,5&amp;'
)
